<?php
require("../include/variables.php");
require("../include/init.php");
require("../include/main-functions.php");
require("../include/objects.php");
require("../include/panels.php");

$pdo = sqlConnect($sqlDatabaseHost, $sqlDatabaseName, $sqlDatabaseUser, $sqlDatabasePass);
?>

<!DOCTYPE html>
<html lang="fr">

    <head>
        <?php fillHead($rootPageURL, $pageTitle, $darkTheme, $lightTheme);?>
        <style></style>
    </head>

    <body class="body">

        <header>
            <div class="panel-content">
                <?php fillHeader($rootPageURL, $headerTitle, $headerSubtitle, $social);?>
            </div>
        </header>

        <nav>
            <div class="panel-content">
                <?php fillNav($rootPageURL);?>
            </div>
        </nav>

        <main>
            <div class="content">
                <h1>Bienvenue sur le site de la E59</h1>
                <h2>Qui sommes nous ?</h2>
                <div>
                    Nous sommes un petit groupe de passionés d'informatique.<br>
                    Notre objectif est d'aider les membres de notre club à mener leurs projets que ça soit un site web, développer un jeu ou du pentest.<br>
                    Nous prévoyons de nous émanciper pour augmenter nos moyens matériels et financiers.<br>
                    Si le projet vous intéresse et que vous êtes étudiant à l'IUT de Vélizy, venez nous voir en E59 dans la Halle Bastié<br>
                    Vous pouvez aussi nous écrire à l'adresse <a href="mailto:club@e59.fr">club@e59.fr</a><br>
                    Au plaisir de vous rencontrer.
                </div>
                <h2>Nos dernières actualités</h2>
                <div class="articles-list">
                <?php
                    $sqlRequest = "SELECT articles.ID, articles.title, articles.creation_date, articles.miniature, articles.resume, users.username, users.display_name, roles.badge_svg FROM articles INNER JOIN users ON articles.author = users.ID LEFT JOIN roles ON users.role = roles.ID WHERE articles.classification <= :userAccreditation ORDER BY articles.creation_date DESC LIMIT 3";
                    $request = $pdo->prepare($sqlRequest);
                    $request->bindParam(":userAccreditation", $_SESSION['userAccreditation']);
                    $request->execute();
                    $result = $request->fetchAll(PDO::FETCH_ASSOC);
                    if ($result) {
                        listArticles($result, $rootPageURL);
                    }
                ?>
            </div>
        </main>
        <footer>
            <div class="panel-content">
                <?php fillFooter($footerText);?>
            </div>
        </footer>
    </body>
</html>